cURL
curl -X POST https://api.aiql.io/dashboards \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID" \
-H "Content-Type: application/json" \
-d '{"title": "Executive overview", "description": "KPIs across the program"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
dashboard = client.dashboards.create(
workspace_id="ws_3a1b",
title="Executive overview",
description="KPIs across the program",
)import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const dashboard = await client.dashboards.create({
workspaceId: "ws_3a1b",
title: "Executive overview",
description: "KPIs across the program",
});{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Dashboards
Create Dashboard
POST
/
dashboards
cURL
curl -X POST https://api.aiql.io/dashboards \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID" \
-H "Content-Type: application/json" \
-d '{"title": "Executive overview", "description": "KPIs across the program"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
dashboard = client.dashboards.create(
workspace_id="ws_3a1b",
title="Executive overview",
description="KPIs across the program",
)import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const dashboard = await client.dashboards.create({
workspaceId: "ws_3a1b",
title: "Executive overview",
description: "KPIs across the program",
});{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Body
application/json
Response
Successful Response
Unique identifier of the dashboard.
Title of the dashboard.
Description of the dashboard.
Timestamp when the dashboard was created.
Timestamp when the dashboard was last updated.